<?php

namespace XF;

interface ResultSetInterface
{
	/**
	 * @param string $type
	 * @param list<int> $ids
	 * @param bool $filterViewable
	 * @param array<string, array{string, int}> $results
	 *
	 * @return \XF\Mvc\Entity\AbstractCollection|array<int, \XF\Mvc\Entity\Entity>
	 */
	public function getResultSetData($type, array $ids, $filterViewable = true, array $results = null);
}